%define		php_name	php%{?php_suffix}
%define		modname	http
%define		fmodname	pecl_http
%define		status		stable
Summary:	%{modname} - extended HTTP support
Summary(pl.UTF-8):	%{modname} - rozszerzona obsługa protokołu HTTP
Name:		%{php_name}-pecl-%{modname}
Version:	2.5.5
Release:	7
License:	BSD, revised
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{fmodname}-%{version}.tgz
# Source0-md5:	99d34bf67ecd7e8e30b52820ecc13f0c
Patch0:		php-pecl-http-build.patch
URL:		http://pecl.php.net/package/pecl_http/
BuildRequires:	%{php_name}-devel >= 3:5.3.0
BuildRequires:	%{php_name}-pecl-propro-devel >= 1.0.0
BuildRequires:	%{php_name}-pecl-raphf-devel >= 1.0.0
BuildRequires:	curl-devel >= 7.18.2
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.650
BuildRequires:	zlib-devel >= 1.2.0.4
%{?requires_php_extension}
Requires:	%{php_name}-hash
Requires:	%{php_name}-iconv
Requires:	%{php_name}-pecl-propro
Requires:	%{php_name}-pecl-raphf
Requires:	%{php_name}-session
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-http < 1.7.6-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This HTTP extension aims to provide a convenient and powerful set of
functionality for one of PHPs major applications.

It eases handling of HTTP urls, dates, redirects, headers and
messages, provides means for negotiation of clients preferred language
and charset, as well as a convenient way to send any arbitrary data
with caching and resuming capabilities.

It provides powerful request functionality, if built with CURL
support. Parallel requests are available for PHP 5 and greater.

Currently implemented features include:
- Building absolute URIs
- RFC compliant HTTP redirects
- RFC compliant HTTP date handling
- Parsing of HTTP headers and messages
- Caching by "Last-Modified" and/or ETag (with 'on the fly' option for
  ETag generation from buffered output)
- Sending data/files/streams with (multiple) ranges support
- Negotiating user preferred language/charset
- Convenient request functions to HEAD/GET/POST if libcurl is
  available
- HTTP auth hooks (Basic)
- PHP5 classes: HttpUtil, HttpResponse, HttpRequest, HttpRequestPool,
  HttpMessage

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie HTTP ma na celu dostarczenie wygodnego i potężnego
zestawu funkcjonalności do jednego z najważniejszych zastosowań PHP.

Ułatwia obsługę adresów HTTP, dat, przekierowań, nagłówków i
wiadmości, dostarcza sposób do negocjacji preferowanego języka i
strony kodowej klienta, jak również wygodnego sposobu wysyłania
dowolnego rodzaju danych z możliwością keszowania oraz wznawiania
transferów.

Rozszerzenie dostarcza potężne możliwości zapytań, jeśli zbudowane
jest ze wsparciem dla CURL. Równoległe zapytania są dostępne od wersji
PHP 5.

Aktualnie zaimplementowane możliwości to między innymi:
- tworzenie bezwzględnych URI
- zgodne z RFC przekierowania HTTP
- zgodna z RFC obsługa daty HTTP
- przetwarzanie nagłówków i wiadomości HTTP
- buforowanie z użyciem "Last-Modified" i/lub ETagów (z opcję
  generowania "w locie" ETagów z buforowanego wyjścia)
- wysyłanie danych/plików/strumieni z obsługą (wielu) przedziałów
- negocjacja preferowanego przez użytkownika języka/zestawu znaków
- wygodne funkcje do żądań HEAD/GET/POST jeśli dostępna jest libcurl
- wywołania HTTP auth (Basic)
- klasy PHP5: HttpUtil, HttpResponse, HttpRequest, HttpRequestPool,
  HttpMessage

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{fmodname}-%{version}/* .
%patch0 -p1

%build
phpize
%{__libtoolize}
%configure \
	PHP_RAPHF=raphf \
	PHP_PROPRO=propro
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CONTRIBUTING.md CREDITS README.md THANKS TODO
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Fri Oct 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-http.git;a=log;h=master

* Fri Oct 29 2021 Jan Rękorajski <baggins@pld-linux.org> da11166
- rel 7

* Sun Feb 09 2020 Jan Rękorajski <baggins@pld-linux.org> aecd1d7
- rebuild with libevent 2.1.11
- rel 6

* Fri Nov 23 2018 Adam Gołębiowski <adamg@pld-linux.org> 12e7c64
- release 5 (rebuild against libidn-1.35)

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 302b9aa
- release 4 (by relup.sh)

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fff07f
- release 3 (by relup.sh)

* Mon Apr 03 2017 Jan Rękorajski <baggins@pld-linux.org> 14f4021
- rel 2

* Fri Jan 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 487eb92
- up to 2.5.5

* Tue Mar 31 2015 Adam Gołębiowski <adamg@pld-linux.org> a87ebfd
- R += pecl-propro and pecl-raphf

* Thu Mar 26 2015 Adam Gołębiowski <adamg@pld-linux.org> 66ed567
- updated to 2.4.1

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 2472b9a
- obsolete old php name
- release 5 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 11a4caf
- php 5.5 rebuild
- release 4 (by relup.sh)

* Wed Jan 29 2014 Jan Rękorajski <baggins@pld-linux.org> f334bfa
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 755f8db
- provide php(extname) to really be supporting multiple php versions

* Wed Aug 28 2013 Elan Ruusamäe <glen@delfi.ee> e56997d
- up to 1.7.6. (1.7.2 adds php5.4 compatibility)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 43bc4b0
- support building for multiple php versions

* Fri Aug 24 2012 Elan Ruusamäe <glen@delfi.ee> 125a29e
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 4eeb38c
- release 2 (by relup.sh)

* Mon Jun 20 2011 Jacek Konieczny <jajcus@pld-linux.org> b0c10ea
- R: php-session, php-iconv

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> cf35e53
- updated to 1.7.1

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 92d5ab8
- rel 3 (new libevent)

